// codDlg.h : header file
//

#if !defined(AFX_CODDLG_H__1DB019A6_B858_11D4_8D51_00104B1587CE__INCLUDED_)
#define AFX_CODDLG_H__1DB019A6_B858_11D4_8D51_00104B1587CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCodDlg dialog

class CCodDlg : public CDialog
{
// Construction
public:
	CCodDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCodDlg)
	enum { IDD = IDD_COD_DIALOG };
	CButton	m_check_lf;
	CButton	m_check_cr;
	CEdit	m_edit_send;
	CEdit	m_edit_console;
	CButton	m_button_send;
	CButton	m_button_listen;
	CButton	m_button_exit;
	CButton	m_button_disconnect;
	UINT	m_edit_port;
	CString	m_send_txt;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCodDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCodDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonExit();
	afx_msg void OnButtonListen();
	afx_msg void OnButtonDisconnect();
	afx_msg void OnButtonSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CEzSock m_socket, m_new_socket;
	CString addr2str(CIPAddressCtrl& ip_addr);
	BOOL m_connected;
	void DlgChangeButton(int state);
	void DlgOnAccept(CEzSock *sock, int nErrorCode);
	void DlgOnConnect(CEzSock *sock, int nErrorCode);
	void DlgOnReceive(CEzSock *sock, int nErrorCode);
	void DlgOnClose(CEzSock *sock, int nErrorCode);
};

#define BUTTON_STATE_INITIAL   0
#define BUTTON_STATE_ACCEPT    1
#define BUTTON_STATE_CONNECTED 2

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CODDLG_H__1DB019A6_B858_11D4_8D51_00104B1587CE__INCLUDED_)
